using UnityEngine;
using System.Collections;
using UnityEngine.UI;
[RequireComponent(typeof(AudioSource))]
public class JanelaNv1 : MonoBehaviour {

    public GameObject gerenciador;
    public string[] respostas;
    public string pergunta;
    public string respostaCorreta;
    public string respostaSelecionada;
    public Text[] textoPerguntas;//referência do objeto UI setado na aba propriedades
    public Text perguntaNaTela;//referência do objeto UI setado na aba propriedades
    public int pontuacaoEquivalente = 1;


    void Start()
    {
        SetarRespostas(); //Setar respostas aos elementos de UI
        SetarPergunta();//Setar a pergunta ao elemento de UI

        gerenciador = GameObject.Find("Nv1");
    }


    private void VerificarResposta()
    {
        if (respostaSelecionada == respostaCorreta)
        {
            gerenciador.GetComponent<Nv1>().somaCorretas += 1;
        }
        else
        {
            print("Incorreta");
        }
    }
    private void SetarRespostas()
    {
        for (int i = 0; i < respostas.Length; i++)
        {

            textoPerguntas[i].text = respostas[i];
        }
    }

    public void PrimeiraResposta()
    {
        respostaSelecionada = respostas[0];
        gerenciador.GetComponent<Nv1>().indicePrefabs += 1;
        gerenciador.GetComponent<Nv1>().somaHerbivoros += 1;
        gerenciador.GetComponent<Nv1>().instanciarProxima = true;
        VerificarResposta();//Verifica se a resposta selecionada está correta
        audio.Play();
        Destroy(gameObject);




    }
    public void SegundaResposta()
    {
        respostaSelecionada = respostas[1];
        VerificarResposta();//Verifica se a resposta selecionada está correta
        gerenciador.GetComponent<Nv1>().indicePrefabs += 1;
        gerenciador.GetComponent<Nv1>().somaCarnivoros += 1;
        gerenciador.GetComponent<Nv1>().instanciarProxima = true;
        audio.Play();
        Destroy(gameObject);

    }

    public void SetarPergunta()
    {
        perguntaNaTela.text = pergunta;
    }

}
